shadow/tests/subids/09_useradd_no_more_subgids_start/useradd.test
2014-09-21 00:16:57 +02:00

61 lines
1.4 KiB
Bash
Executable File

#!/bin/sh
set -e
cd $(dirname $0)
. ../../common/config.sh
. ../../common/log.sh
log_start "$0" "useradd reports failure if there are no subids available in /etc/subgid"
save_config
# restore the files on exit
trap 'log_status "$0" "FAILURE"; restore_config' 0
change_config
echo -n "Add user foo..."
useradd foo 2>tmp/useradd.err && exit 1 || {
status=$?
}
echo "OK"
echo -n "Check returned status ($status)..."
test "$status" = "18"
echo "OK"
echo "useradd reported:"
echo "======================================================================="
cat tmp/useradd.err
echo "======================================================================="
echo -n "Check the usage message..."
diff -au data/useradd.err tmp/useradd.err
echo "error message OK."
rm -f tmp/useradd.err
echo -n "Check the passwd file..."
../../common/compare_file.pl config/etc/passwd /etc/passwd
echo "OK"
echo -n "Check the group file..."
../../common/compare_file.pl config/etc/group /etc/group
echo "OK"
echo -n "Check the shadow file..."
../../common/compare_file.pl config/etc/shadow /etc/shadow
echo "OK"
echo -n "Check the gshadow file..."
../../common/compare_file.pl config/etc/gshadow /etc/gshadow
echo "OK"
echo -n "Check the /etc/subgid file..."
diff -au config/etc/subgid /etc/subgid
echo "OK"
echo -n "Check the /etc/subuid file..."
diff -au config/etc/subuid /etc/subuid
echo "OK"
log_status "$0" "SUCCESS"
restore_config
trap '' 0